## org.eclipse.emf.edit.provider
Interface IItemLabelProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, AttributeValueWrapperItemProvider, ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper, ItemProvider, ListChangeItemProvider, MappedObjectItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingItemProvider.TypeMappingHelperWrapper, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface IItemLabelProvider

This is the interface implemented to provide a label text and even a label icon for an item; it receives delegated calls from ILabelProvider.

Method Summary
`java.lang.Object` `getImage(java.lang.Object object)` This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.
`java.lang.String` `getText(java.lang.Object object)` This does the same thing as ILabelProvider.getlText, it fetches the label text specific to this object instance.

Method Detail

### getText

    java.lang.String getText(java.lang.Object object)

  This does the same thing as ILabelProvider.getlText, it fetches the label text specific to this object instance.

### getImage

    java.lang.Object getImage(java.lang.Object object)

  This does the same thing as ILabelProvider.getImage, it fetches the label image specific to this object instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.